# Generated from yes_ship_it-0.2.2.gem by gem2rpm -*- rpm-spec -*-
%global gem_name yes_ship_it

Name: rubygem-%{gem_name}
Version: 0.2.2
Release: 1%{?dist}
Summary: The ultimate release script
License: MIT
URL: http://github.com/cornelius/yes_ship_it
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel >= 1.3.6
BuildRequires: ruby
# BuildRequires: rubygem(rspec) >= 3
# BuildRequires: rubygem(rspec) < 4
# BuildRequires: rubygem(given_filesystem)
# BuildRequires: rubygem(cli_tester) >= 0.0.2
# BuildRequires: rubygem(httpotemkin)
# BuildRequires: rubygem(webmock) >= 2.1
# BuildRequires: rubygem(webmock) < 3
# BuildRequires: rubygem(byebug)
BuildArch: noarch

%description
Whenever the answer is 'Yes, ship it!' you will need yes_ship_it. It is the
ultimate helper in releasing software..


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%{_bindir}/yes_ship_it
%{gem_instdir}/.codeclimate.yml
%{gem_instdir}/.github
%exclude %{gem_instdir}/.gitignore
%{gem_instdir}/.ruby-version
%license %{gem_instdir}/MIT-LICENSE
%{gem_instdir}/USERS.md
%{gem_instdir}/assertions
%{gem_instdir}/bin
%{gem_instdir}/configs
%{gem_libdir}
%{gem_instdir}/yes_ship_it-0.0.1.gem
%{gem_instdir}/yes_ship_it.conf
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%exclude %{gem_instdir}/.rspec
%doc %{gem_instdir}/CHANGELOG.md
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/spec
%{gem_instdir}/yes_ship_it.gemspec

%changelog
* Thu Sep 16 2021 mockbuilder - 0.2.2-1
- Initial package
